/* 
 * copyright (c) 2009 MDBitz - Matthew John Denton - mdbitz.com 
 * 
 * RandomUtil is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version. 
 * 
 * RandomUtil is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with RandomUtil. If not, see <http://www.gnu.org/licenses/>. 
 */ 
package com.mdbitz.utils 
{ 
  
 /* 
 * import statements 
 */ 
 import flash.errors.IllegalOperationError; 
  
 /** 
 * Random Number Generation Util 
 * @author MDBitz - Matthew John Denton <matt@mdbitz.com> 
 */ 
 public class RandomUtil 
 {

 /** 
 * Creates a new RandomUtil 
 * 
 * @constructor 
 * @throws IllegalOperationError 
 */ 
 public function RandomUtil() { 
 throw new IllegalOperationError('RandomUtil cannot be instantiated.'); 
 }

 /** 
 * generate a random integer between 0 and max 
 * 
 * @param maxNum The maximum value of the random integer 
 */ 
 public static function randomNum( maxNum:int ):int 
 { 
 return Math.floor( Math.random() * (maxNum + 1 ) ); 
 }

 /** 
 * generate a random integer between min and max 
 * 
 * @param maxNum The maximum value of the random integer 
 */ 
 public static function randomNumInRange( minNum:int, maxNum:int ):int 
 { 
 return Math.floor( minNum + (Math.random * (maxNum - minNum + 1 ) ) );  
 }

 } //-- class

} //--package